# Class TpexException

  Exception
  RuntimeException
  Thelia\Tpex\Exception\TpexException

#### Direct known subclasses

Thelia\Tpex\Exception\ElementNotFoundException, Thelia\Tpex\Exception\FileNotFoundException, Thelia\Tpex\Exception\InvalidElementException, Thelia\Tpex\Exception\TokenNotFoundException, Thelia\Tpex\Exception\TokenSyntaxException
Namespace: Thelia\Tpex\Exception
Located at core/lib/Thelia/Tpex/Exception/TpexException.php

Methods inherited from Exception
`__construct(), __toString(), getCode(), getFile(), getLine(), getMessage(), getPrevious(), getTrace(), getTraceAsString()`

Properties inherited from Exception
`$code, $file, $line, $message`